Skip Menu |
 

This queue is for tickets about the Encode-IBM CPAN distribution.

Report information
The Basics
Id: 28090
Status: new
Priority: 0/
Queue: Encode-IBM

People
Owner: Nobody in particular
Requestors: ANDK [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: Normal
Broken in: (no value)
Fixed in: (no value)



Subject: make install fails due to dependency
Encode-IBM has been successfully run make test with 100 of my perl installations. The 101st had this issue yesterday during make install which leads me to believe that there is a conditional dependency somewhere: AUDREYT/Encode-IBM-0.05.tar.gz /usr/bin/make test -- OK Running make install make[3]: Entering directory `/home/sand/.cpan/build/Encode-IBM-0.05-Xx9aUA' Files found in blib/arch: installing files in blib/lib into architecture dependent library tree Installing /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/i686-linux-64int/auto/Encode/IBM/IBM.so Installing /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/i686-linux-64int/auto/Encode/IBM/IBM.bs Installing /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/i686-linux-64int/Encode/IBM.pm Installing /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/i686-linux-64int/Encode/IBM/835SOSI.pm Installing /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/i686-linux-64int/Encode/IBM/947SOSI.pm Appending installation info to /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/5.9.5/i686-linux-64int/perllocal.pod require Encode; require Encode::Alias; require Encode::GSM0338; require Encode::Encoding; require Encode::Guess; require Encode::Config; require Encode::Encoder; require Encode::CJKConstants; require Encode::Byte; require Encode::CN; require Encode::EBCDIC; require Encode::JP; require Encode::KR; require Encode::Symbol; require Encode::TW; require Encode::Unicode; require Encode::JP::H2Z; require Encode::JP::JIS7; require Encode::MIME::Name; require Encode::MIME::Header; require Encode::MIME::Header::ISO_2022_JP; require Encode::Unicode::UTF7; require Encode::KR::2022_KR; require Encode::CN::HZ; require Encode; require Encode::Alias; require Encode::GSM0338; require Encode::Encoding; require Encode::Guess; require Encode::Config; require Encode::Encoder; require Encode::CJKConstants; require Encode::Byte; require Encode::CN; require Encode::EBCDIC; require Encode::JP; require Encode::KR; require Encode::Symbol; require Encode::TW; require Encode::Unicode; require Encode::JP::H2Z; require Encode::JP::JIS7; require Encode::MIME::Name; require Encode::MIME::Header; require Encode::MIME::Header::ISO_2022_JP; require Encode::Unicode::UTF7; require Encode::KR::2022_KR; require Encode::CN::HZ; require Encode::Detect; require Encode::MAB2table; require Encode::MAB2; require Encode::IBM; require Encode::Detect::Detector; require Encode::IBM::835SOSI; require Encode::IBM::947SOSI; require Encode::Detect; require Encode::MAB2table; require Encode::MAB2; require Encode::IBM; require Encode::Detect::Detector; require Encode::IBM::835SOSI; require Encode::IBM::947SOSI; require Encode::compat; require Encode::compat::common; Prototype mismatch: sub Encode::find_encoding ($;$) vs none at /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/Encode/compat/common.pm line 80. Prototype mismatch: sub Encode::encode_utf8 ($) vs ($;$) at /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/Encode/compat/common.pm line 88. require Encode::compat::5006001; require Encode::compat::Alias; require Encode::JavaScript::UCS; Can't require Encode::JavaScript::UCS: Encode version 2.12 required--this is only version 0.06 at /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/Encode/JavaScript/UCS.pm line 7. BEGIN failed--compilation aborted at /home/src/perl/repoperls/installed-perls/perl/pQWIeAt/perl-5.8.0@31580/lib/site_perl/5.9.5/Encode/JavaScript/UCS.pm line 7. Compilation failed in require at (eval 71) line 1. make[3]: *** [install] Error 9 make[3]: Leaving directory `/home/sand/.cpan/build/Encode-IBM-0.05-Xx9aUA' AUDREYT/Encode-IBM-0.05.tar.gz /usr/bin/make install UNINST=1 -- NOT OK Let me know if I can provide more information Cheers,


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.